## microbiomeutil 20101212+dfsg

=== NAST-iEr/Makefile ===


all: NAST-iEr

NAST-iEr: NAST-iEr.c
	gcc NAST-iEr.c -o NAST-iEr


clean:
	cd ./sample_data; make clean
	rm -f NAST-iEr

test:
	cd ./sample_data; make test

## microbiomeutil 20101212%2Bdfsg1

=== debian/control ===
Source: microbiomeutil
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Tim Booth <tbooth@ceh.ac.uk>,
           Andreas Tille <tille@debian.org>
Section: science
XS-Autobuild: no
Priority: optional
Build-Depends: debhelper (>= 9),
               cdbfasta,
               blast2
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/microbiomeutil.git
Vcs-Git: git://anonscm.debian.org/debian-med/microbiomeutil.git
Homepage: http://microbiomeutil.sourceforge.net/

Package: microbiomeutil
Architecture: all
Depends: ${misc:Depends},
         chimeraslayer,
         nast-ier,
         wigeon
Description: Microbiome Analysis Utilities
 The microbiomeutil package comes with the following utilities:
  * ChimeraSlayer:  ChimeraSlayer for chimera detection.
  * NAST-iEr:       NAST-based alignment tool.
  * WigeoN:         A reimplementation of the Pintail 16S anomaly
                    detection utility
  * RESOURCES:      Reference 16S sequences and NAST-alignments that
                    the tools above leverage.

Package: chimeraslayer
Architecture: all
Depends: ${misc:Depends},
         microbiomeutil-data,
         cdbfasta,
         blast2
Recommends: nast-ier
Description: detects likely chimeras in PCR amplified DNA
 ChimeraSlayer is a chimeric sequence detection utility, compatible with
 near-full length Sanger sequences and shorter 454-FLX sequences (~500bp).
 .
 Chimera Slayer involves the following series of steps that operate to
 flag chimeric 16S rRNA sequences:
 .
  1. the ends of a query sequence are searched against an included
     database of reference chimera-free 16S sequences to identify potential
     parents of a chimera
  2. candidate parents of a chimera are selected as those that form a
     branched best scoring alignment to the NAST-formatted query sequence
  3. the NAST alignment of the query sequence is improved in a
     ‘chimera-aware’ profile-based NAST realignment to the selected
     reference parent sequences
  4. an evolutionary framework is used to flag query sequences found to
     exhibit greater sequence homology to an in silico chimera formed
     between any two of the selected reference parent sequences.
 .
 To run Chimera Slayer, you need NAST-formatted sequences generated by
 the nast-ier utility.
 .
 ChimeraSlayer is part of the microbiomeutil suite.

Package: nast-ier
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         microbiomeutil-data,
         cdbfasta
Description: NAST-based DNA alignment tool
 The NAST-iEr alignment utility aligns a single raw nucleotide sequence 
 against one or more NAST formatted sequences.
 .
 The alignment algorithm involves global dynamic programming profile 
 alignment to fixed (NAST-formatted) multiply aligned template sequences
 without any end-gap penalty.
 .
 NAST-iEr is part of the microbiomeutil suite.

Package: wigeon
Architecture: all
Depends: ${misc:Depends},
         microbiomeutil-data
Recommends: nast-ier
Description: reimplementation of the Pintail 16S DNA anomaly detection utility
 WigeoN examines the sequence conservation between a query and a trusted
 reference sequence, both in NAST alignment format. Based on the sequence
 identity between the query and the reference sequence, there is an
 expected amount of variation among the alignment. If the observed
 variation is greater than the 95% quantile of the distribution of
 variation observed between non-anomalous sequences, then it is flagged
 as an anomaly.
 .
 WigeoN is a flexible command-line based reimplementation of the Pintail
 algorithm Appl Environ Microbiol. 2005 Dec;7112:7724-36.
 .
 WigeoN is useful for flagging chimeras and anomalies only in near
 full-length 16S rRNA sequences. WigeoN lacks sensitivity with sequences
 less than 1000 bp.
 .
 To run WigeoN, you need NAST-formatted sequences generated by the
 nast-ier utility.
 .
 WigeoN is  part of the microbiomeutil suite.

Package: microbiomeutil-data
Architecture: all
Depends: ${misc:Depends}
Enhances: chimeraslayer,
          nast-ier,
          wigeon
Description: Reference 16S sequences and NAST-alignments used by microbiomeutil tools
 Reference data for tools in the microbiomeutil package.  The algorithms
 used by the tools chimeraslayer, nast-ier and wigeon are based on
 reference data which are provided by this package.

## microbiomeutil 20101212+dfsg

=== debian/changelog ===
microbiomeutil (20101212+dfsg-1) unstable; urgency=low

  * Initial release to Debian (Closes: #711086)
  * Remove copyrighted logo images from upstream tarball (the logo is
    only used in very short doc which works perfectly without this image)
  * debian/control: Use anonscm Vcs addresses

 -- Andreas Tille <tille@debian.org>  Mon, 22 Jul 2013 09:57:45 +0200

microbiomeutil (20101212-1ubuntu8) precise; urgency=low

  * Bio-Linux rebuild with Andreas' fixes  
  * ChimeraSlayer run from QIIME was not working.  Need to pre-compute
    index files and add them to RESOURCES directory
  * Also added missing direct dep on blast2

 -- Tim Booth <tbooth@ceh.ac.uk>  Wed, 05 Jun 2013 12:50:22 +0100

microbiomeutil (20101212-2) unstable; urgency=low

  * debian/copyright: DEP5 copyright
  * debian/control:
     - Added myself to uploaders
     - Priority: optional (as per Debian Med policy)
     - Droped DM-Upload-Allowed
     - Standards-Version: 3.9.4
     - Debhelper 9 (also d/compat)
     - Dropped explicit quilt Build-Dependends
     - better formatting
     - Enhance long descriptions
  * debian/rules:
     - remove "--with quilt" because this is specified in source format
     - Use xz compression for binaries
  * debian/rules, debian/*.install, debian/*.links:
    Rather use the usual debhelper input files
  * Remove unneeded debian/README.* files and create debian/upstream
    file with citation information
  * Removed debian/{ChimeraSlayer,microbiomeutil.install} because
    unneeded
  * debian/*.1: Wrote manpages
  * debian/microbiomeutil.links: Synonyms with camel case spelling
    as in the provided documentation
  * debian/patches/hardening.patch: Enable propagation of hardening options

 -- Andreas Tille <tille@debian.org>  Tue, 04 Jun 2013 10:35:17 +0200

microbiomeutil (20101212-1ubuntu6) lucid; urgency=low

  * Another patch needed to Perl code due to inappropriate use of
    FindBin 
  * Move to /usr/lib rather than /usr/share as per Lintian warnings.
  * Set --with quilt on dh.  (Possibly not needed now?)
  * Added better descriptions in debian/control

 -- Tim Booth <tbooth@ceh.ac.uk>  Mon, 03 Jun 2013 16:44:30 +0100

microbiomeutil (20101212-1ubuntu1) lucid; urgency=low

  * Split package into 4 binary packages.

 -- Tim Booth <tbooth@ceh.ac.uk>  Mon, 11 Apr 2011 17:04:36 +0100

microbiomeutil (2010-11-1) UNRELEASED; urgency=low

  * New upstream

 -- Steffen Moeller <moeller@debian.org>  Wed, 30 Mar 2011 00:23:15 +0200

microbiomeutil (2010-11-02-1) UNRELEASED; urgency=low

  * Initial packaging

 -- Steffen Moeller <moeller@debian.org>  Thu, 02 Dec 2010 09:39:26 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,17 @@
 Source: microbiomeutil
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Section: science
+Priority: optional
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>,
            Tim Booth <tbooth@ceh.ac.uk>,
            Andreas Tille <tille@debian.org>
-Section: science
-XS-Autobuild: no
-Priority: optional
 Build-Depends: debhelper (>= 9),
                cdbfasta,
                blast2
-Standards-Version: 3.9.6
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/microbiomeutil.git
-Vcs-Git: git://anonscm.debian.org/debian-med/microbiomeutil.git
+Standards-Version: 3.9.4
 Homepage: http://microbiomeutil.sourceforge.net/
+Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/microbiomeutil/trunk/
+Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/microbiomeutil/trunk/
 
 Package: microbiomeutil
 Architecture: all
@@ -106,9 +104,7 @@
 Package: microbiomeutil-data
 Architecture: all
 Depends: ${misc:Depends}
-Enhances: chimeraslayer,
-          nast-ier,
-          wigeon
+Enhances: chimeraslayer, nast-ier, wigeon
 Description: Reference 16S sequences and NAST-alignments used by microbiomeutil tools
  Reference data for tools in the microbiomeutil package.  The algorithms
  used by the tools chimeraslayer, nast-ier and wigeon are based on

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

#Kill the tests just now - they take too long.
override_dh_auto_test :
	true

override_dh_auto_build :
	dh_auto_build
	#Pre-make indexes for ChimeraSlayer, otherwise it tries to write them
	#to the non-writeable dir on first run and blows up
	formatdb -p F -i RESOURCES/rRNA16S.gold.fasta 2>/dev/null
	cdbfasta -C RESOURCES/rRNA16S.gold.NAST_ALIGNED.fasta

override_dh_auto_clean:
	dh_auto_clean
	rm -f RESOURCES/rRNA16S.gold.fasta.n* RESOURCES/*.cidx
	rm -f formatdb.log

override_dh_install:
	dh_install -XMakefile -Xsample_data -XLICENSE -XNAST-iEr.c

override_dh_fixperms :
	dh_fixperms
	find debian -type f -name '*.pm' -print0 | xargs -0r chmod a-x
	find debian -type f -name 'genus_counter.pl' -print0 | xargs -0r chmod a+x

override_dh_builddeb:
	dh_builddeb -- -Z xz

# Remark: The following uscan command requires devscripts > 2.12.4 which is not
#         yet released at the time of this package release.  The code can be obtained
#         via
#   git clone git://tille@git.debian.org/git/users/tille/devscripts.git
#         and then use scripts/uscan.pl
get-orig-source:
	mkdir -p ../tarballs
	uscan --verbose --force-download --repack-compression xz --destdir ../tarballs

=== debian/watch ===
version=3
opts="dversionmangle=s/\+dfsg//g" \
http://sf.net/microbiomeutil/microbiomeutil_(.*)\.tgz

## microbiomeutil 20101212+dfsg1

=== Makefile ===

DIRS = NAST-iEr ChimeraSlayer WigeoN RESOURCES

all clean:
	X=`pwd`; \
	for i in $(DIRS); \
	do echo '<<<' $$i '>>>'; cd $$X/$$i; make $@; done



test: testNast testWigeon testChimeraSlayer

testNast:
	cd NAST-iEr; make test

testWigeon:
	cd WigeoN; make test

testChimeraSlayer:
	cd ChimeraSlayer; make test

=== ChimeraSlayer/Makefile ===

all:


test:
	cd ./sample_data; make test


clean:
	cd ./sample_data; make clean

=== RESOURCES/Makefile ===
all:

clean:
	rm -f *fasta.*

=== WigeoN/Makefile ===
all:

test:
	cd ./sample_data; make test


clean:
	cd ./sample_data; make clean

=== ChimeraSlayer/sample_data/Makefile ===
all:


test:
	#
	#********** TESTING Chimera Slayer *************"
	#
	./runMe.sh


clean:
	rm -f chims.NAST.*
	rm -f sample_DB.NAST.cidx
	rm -f sample_DB.fasta.*
	rm -f tmp.*
	rm -f formatdb.log

=== NAST-iEr/sample_data/Makefile ===
all:

test:
	#
	#*************** TESTING  NAST-iEr ***********************
	#
	./testForUtils.pl
	./runMe.sh



clean:
	rm -f tmp.*

=== WigeoN/sample_data/Makefile ===
all:

test:
	#
	#************* TESTING WigeoN ********************"
	#
	./runMe.sh



clean:
	rm -f tmp.*
	rm -f chims.NAST.*

=== debian/changelog ===
microbiomeutil (20101212+dfsg1-6) unstable; urgency=medium

  * Fix implicit declaration of function isprint
    Closes: #1066532
  * Standards-Version: 4.7.0 (routine-update)
  * Use secure URI in Homepage field.
  * Lintian-overrides (see lintian bug #1017966)
  * Add DEP3 field "Forwarded: no (upstream is dead)"

 -- Andreas Tille <tille@debian.org>  Wed, 10 Apr 2024 16:03:07 +0200

microbiomeutil (20101212+dfsg1-5) unstable; urgency=medium

  [ Helmut Grohne ]
  * Do not hard code the build architecture compiler
    Closes: #1003411

  [ Andreas Tille ]
  * Standards-Version: 4.6.0 (routine-update)
  * Add missing build dependency on dh addon.
  * Fix typo in debian/rules rules: override_dh_auto_build  =>
    override_dh_auto_build, override_dh_fixperms  => override_dh_fixperms
  * Apply multi-arch hints.
    + microbiomeutil-data: Add Multi-Arch: foreign.

 -- Andreas Tille <tille@debian.org>  Mon, 10 Jan 2022 17:29:54 +0100

microbiomeutil (20101212+dfsg1-4) unstable; urgency=medium

  * Team Upload.
  * Clean post testing (Fixes unreproducible builds)
  * Fix interpreter path
  * Add salsa-ci.yml
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Add restriction for autopkgtest root access
    (for write permission to RESOURCES)

 -- Nilesh Patra <npatra974@gmail.com>  Fri, 08 Jan 2021 12:55:50 +0530

microbiomeutil (20101212+dfsg1-3) unstable; urgency=medium

  * chimeraslyer: Depends: ncbi-blast+-legacy
    Closes: #946537
  * nast-ier: Recommends: ncbi-blast+
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Secure URI in copyright format
  * Remove trailing whitespace in debian/changelog
  * Remove trailing whitespace in debian/control
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g

 -- Andreas Tille <tille@debian.org>  Wed, 11 Dec 2019 09:50:55 +0100

microbiomeutil (20101212+dfsg1-2) unstable; urgency=low

  [ Steffen Moeller ]
  * debian/upstream/metadata:
    - Added references to registries
    - yamllint cleanliness

  [ Andreas Tille ]
  * Remove unneeded get-orig-source target
  * Remove Tim Booth from Uploaders (thanks for your work, Tim)
  * Secure URI in watch file
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4
  * hardening=+all

 -- Andreas Tille <tille@debian.org>  Thu, 05 Jul 2018 12:03:11 +0200

microbiomeutil (20101212+dfsg1-1) unstable; urgency=low

  * debian/copyright: s/BSD-like/BSD-3-clause/
  * Moved debian/upstream to debian/upstream/metadata
  * cme fix dpkg-control
  * Cleanup d/rules
  * Fix build time tests and run these
  * Add doc-base file
  * d/watch: add missing repacksuffix
  * Moved packaging from SVN to Git
  * Cleaning up log files from past test runs
  * Add autopkgtest

 -- Andreas Tille <tille@debian.org>  Wed, 20 Jan 2016 20:15:46 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: microbiomeutil
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Uploaders: Steffen Moeller <moeller@debian.org>,
+           Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Steffen Moeller <moeller@debian.org>,
-           Tim Booth <tbooth@ceh.ac.uk>,
-           Andreas Tille <tille@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 13),
                cdbfasta,
-               blast2
-Standards-Version: 3.9.4
-Homepage: http://microbiomeutil.sourceforge.net/
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/microbiomeutil/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/microbiomeutil/trunk/
+               ncbi-blast+-legacy,
+               debhelper
+Standards-Version: 4.7.0
+Vcs-Browser: https://salsa.debian.org/med-team/microbiomeutil
+Vcs-Git: https://salsa.debian.org/med-team/microbiomeutil.git
+Homepage: https://microbiomeutil.sourceforge.net/
+Rules-Requires-Root: no
 
 Package: microbiomeutil
 Architecture: all
@@ -33,7 +34,7 @@
 Depends: ${misc:Depends},
          microbiomeutil-data,
          cdbfasta,
-         blast2
+         ncbi-blast+-legacy
 Recommends: nast-ier
 Description: detects likely chimeras in PCR amplified DNA
  ChimeraSlayer is a chimeric sequence detection utility, compatible with
@@ -65,11 +66,12 @@
          ${shlibs:Depends},
          microbiomeutil-data,
          cdbfasta
+Recommends: ncbi-blast+
 Description: NAST-based DNA alignment tool
- The NAST-iEr alignment utility aligns a single raw nucleotide sequence 
+ The NAST-iEr alignment utility aligns a single raw nucleotide sequence
  against one or more NAST formatted sequences.
  .
- The alignment algorithm involves global dynamic programming profile 
+ The alignment algorithm involves global dynamic programming profile
  alignment to fixed (NAST-formatted) multiply aligned template sequences
  without any end-gap penalty.
  .
@@ -104,7 +106,10 @@
 Package: microbiomeutil-data
 Architecture: all
 Depends: ${misc:Depends}
-Enhances: chimeraslayer, nast-ier, wigeon
+Enhances: chimeraslayer,
+          nast-ier,
+          wigeon
+Multi-Arch: foreign
 Description: Reference 16S sequences and NAST-alignments used by microbiomeutil tools
  Reference data for tools in the microbiomeutil package.  The algorithms
  used by the tools chimeraslayer, nast-ier and wigeon are based on

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

pkgdata:=microbiomeutil-data
sampledir:=$(CURDIR)/debian/$(pkgdata)/usr/share/doc/$(pkgdata)/examples

%:
	dh $@

override_dh_auto_test:
ifneq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	echo 'skip testing due to DEB_BUILD_OPTIONS="$(DEB_BUILD_OPTIONS)"'
else
## Run test suite only on powerfull architectures (amd64) at build time
#ifneq (,$(filter $(DEB_HOST_ARCH),amd64 kfreebsd-amd64))
	dh_auto_test
	cd ${CURDIR}/ChimeraSlayer/sample_data && $(MAKE) clean
	cd ${CURDIR}/NAST-iEr/sample_data && $(MAKE) clean
	cd ${CURDIR}/WigeoN/sample_data && $(MAKE) clean
	rm -f RESOURCES/rRNA16S.gold.fasta.n* RESOURCES/*.cidx
	rm -f formatdb.log
#else
#	echo "Do not run test suite when building on architecture $(DEB_HOST_ARCH)"
#endif
endif

override_dh_auto_build:
	dh_auto_build
	#Pre-make indexes for ChimeraSlayer, otherwise it tries to write them
	#to the non-writeable dir on first run and blows up
	formatdb -p F -i RESOURCES/rRNA16S.gold.fasta 2>/dev/null
	cdbfasta -C RESOURCES/rRNA16S.gold.NAST_ALIGNED.fasta

override_dh_auto_clean:
	dh_auto_clean
	rm -f RESOURCES/rRNA16S.gold.fasta.n* RESOURCES/*.cidx
	rm -f formatdb.log

override_dh_install:
	dh_install -XMakefile -Xsample_data -XLICENSE -XNAST-iEr.c
	find debian -name '*.pl' -o -name '*.pm' | xargs sed -i 's|/usr/bin/env perl|/usr/bin/perl|g'

override_dh_installexamples:
	dh_installexamples
	for mod in ChimeraSlayer NAST-iEr WigeoN ; do \
	    mkdir -p $(sampledir)/$${mod} ; \
	    cp -a $${mod}/sample_data/* $(sampledir)/$${mod} ; \
	    sed -i -e "s?../$${mod}?$${mod}?" \
		   -e "s?^.*\(/util/show_malign_no_gap.pl\)?/usr/lib/NAST-iEr\1?" \
		   -e "s?^.*\(/run_NAST-iEr.pl\)?/usr/lib/NAST-iEr\1?" \
		   -e "s?^.*\(ChimeraSlayer.pl\)?/usr/lib/ChimeraSlayer/\1?" \
		   -e "s?^.*\(/run_WigeoN.pl\)?/usr/lib/WigeoN\1?" \
		 $(sampledir)/$${mod}/runMe.sh ; \
	done
	sed -i '1i #!/bin/sh' $(sampledir)/WigeoN/runMe.sh

override_dh_fixperms:
	dh_fixperms
	find debian -type f -name '*.pm' -print0 | xargs -0r chmod a-x
	find debian -type f -name 'genus_counter.pl' -print0 | xargs -0r chmod a+x

=== debian/tests/control ===
Tests: run-unit-test
Depends: @
Restrictions: allow-stderr, needs-root

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
  https://sf.net/microbiomeutil/microbiomeutil_(.*)\.tgz
